import { Skeleton } from "@/components/ui/skeleton";
import { Locale } from "@/i18n/routing";

import { PageBreadcrumbSkeleton } from "./page-breadcrumb-skeleton";

export function CartLoadingSkeleton({ locale }: { locale: Locale }) {
  const isRTL = locale === "ar";

  return (
    <div className="">
      <PageBreadcrumbSkeleton isRTL={isRTL} />
      <div className="p-8">
        <Skeleton className="my-4 h-10 w-1/2" />
        <div className="flex flex-col-reverse items-start justify-between gap-10 md:flex-row md:gap-20">
          <div className="w-full lg:min-w-[250px] xl:min-w-[340px]">
            <Skeleton className="mb-4 h-8 w-3/4" />
            <Skeleton className="mb-4 h-6 w-full" />
            <Skeleton className="mb-4 h-6 w-full" />
            <Skeleton className="mb-4 h-6 w-full" />
            <Skeleton className="h-12 w-full" />
          </div>
          <div className="flex-1">
            <Skeleton className="mb-4 h-8 w-1/2" />
            <Skeleton className="mb-4 h-6 w-full" />
            <Skeleton className="mb-4 h-6 w-full" />
            <Skeleton className="mb-4 h-6 w-full" />
            <Skeleton className="h-12 w-full" />
          </div>
        </div>
        <Skeleton className="mx-auto mb-4 mt-12 h-[1px] w-[60%] bg-[#E4E4E4]" />
        <Skeleton className="h-40 w-full" />
      </div>
    </div>
  );
}
